<?xml version="1.0" encoding="Windows-1250"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:typ="http://www.stormware.cz/schema/type.xsd" 
	xmlns:rsp="http://www.stormware.cz/schema/response.xsd"
	xmlns:dat="http://www.stormware.cz/schema/data.xsd"
	xmlns:lst="http://www.stormware.cz/schema/list.xsd"
	xmlns:prm="http://www.stormware.cz/schema/parameter.xsd" >
	<xsl:output method="xml" encoding="Windows-1250" omit-xml-declaration="no"/>

<!-- ******************************************************
     Transformace exportu doklad na vstup Pohody       -->
	
   <xsl:template match="/">
      <xsl:element name="dat:dataPack">
         <xsl:copy-of select="rsp:responsePack/@version" />
         <xsl:copy-of select="rsp:responsePack/@id" />
         <xsl:attribute name="ico"></xsl:attribute>
         <xsl:attribute name="application">Transformace</xsl:attribute>
         <xsl:attribute name="note">Transformace exportu dat pro import do Pohody</xsl:attribute>
	
		<xsl:for-each select="rsp:responsePack/rsp:responsePackItem">
         
         	<xsl:choose>
				  
         	    <!-- uiv. seznamy  -->
         		<xsl:when test="lst:listUserCodePack/lst:listUserCode">
			         <xsl:call-template name="Polozky">
			            <xsl:with-param name="element" select="./lst:listUserCodePack/lst:listUserCode" />
			            <xsl:with-param name="nazev" select="'lst:listUserCode'" />
			         </xsl:call-template>				    
  				</xsl:when> 

         	    <!-- uiv. parametry  -->
         		<xsl:when test="lst:listParameter/lst:parameter">
			         <xsl:call-template name="Polozky">
			            <xsl:with-param name="element" select="./lst:listParameter/lst:parameter" />
			            <xsl:with-param name="nazev" select="'prm:parameter'" />
			         </xsl:call-template>				    
  				</xsl:when> 
         	
				<!--  ostatn - vytvo prdzn XML --> 
				<xsl:otherwise> 
			   	<xsl:element name="dat:dataPackItem">		            
		            <xsl:copy-of select="@version" />
		            <xsl:attribute name="id">
		               <xsl:value-of select="../../@id" />
		               <xsl:number format=" (001)" />           
		            </xsl:attribute>		            
		         </xsl:element>
  			   </xsl:otherwise>        	
         	
         	</xsl:choose>        
         
         </xsl:for-each>

      </xsl:element>
   </xsl:template>
   
   <!--////////////////////////////////////////////////////////////////////////////////////////////////// -->

   <xsl:template name="Polozky">
      <xsl:param name="element" />

      <xsl:param name="nazev" />

      <xsl:for-each select="$element">
         <xsl:element name="dat:dataPackItem">
            <xsl:copy-of select="../../@version" />
            <xsl:attribute name="id">
               <xsl:value-of select="../../@id" />
               <xsl:number format=" (001)" />           
            </xsl:attribute>

            <xsl:element name="{$nazev}">
               <xsl:copy-of select="./@version" />
               <xsl:copy-of select="./@id" />
               <xsl:copy-of select="./@code" />
               <xsl:copy-of select="./@name" />
               <xsl:copy-of select="./@idsAgenda" />
               <xsl:copy-of select="./@idsUserAgenda" />
               <xsl:copy-of select="*" />
            </xsl:element>
            
         </xsl:element>
         
      </xsl:for-each>
   </xsl:template>
</xsl:stylesheet>

